Compile Digikam: Dependency to exiv2 cannot be fulfilled

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Compile Digikam: Dependency to exiv2 cannot be fulfilled

Marc Barisch
Hi all,

I wanted to build digikam on my own.

Unfortunately I am not able to fulfill the dependency to exiv2 on my
ubuntu 17.04 system. I've successfully compiled exiv2 v0.26 and
installed in /usr/local (libs and headers).

Here is the information that bootstrap-linux provides:

--
----------------------------------------------------------------------------------
-- digiKam 5.7.0 dependencies results <http://www.digikam.org>
--
-- MySQL Database Support will be compiled.. YES (optional)
-- MySQL Internal Support will be compiled.. YES (optional)
-- DBUS Support will be compiled............ YES (optional)
-- App. Style Support will be compiled...... YES (optional)
-- libboostgraph found...................... YES
-- libexiv2 found........................... NO
CMake Error at core/cmake/modules/MacroUtils.cmake:44 (message):
libexiv2 is needed. You need to install the libexiv2 (version >=
0.26 development package.
Call Stack (most recent call first):
core/CMakeLists.txt:448 (PRINT_LIBRARY_STATUS)

Any hints appreciated.


Regards

Marc

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Compile Digikam: Dependency to exiv2 cannot be fulfilled

Simon Frei
Where exactly do you have the libs and headers?
The shipped cmake module looks for headers in ../include/exiv2/ at the
paths in .PATH, so they should be found (usr/local/bin normally is in PATH).
Also there is potentially some more revealing informations further up in
the console output about searching exiv2.

On 06/08/17 01:03, Marc Barisch wrote:

> Hi all,
>
> I wanted to build digikam on my own.
>
> Unfortunately I am not able to fulfill the dependency to exiv2 on my
> ubuntu 17.04 system. I've successfully compiled exiv2 v0.26 and
> installed in /usr/local (libs and headers).
>
> Here is the information that bootstrap-linux provides:
>
> --
> ----------------------------------------------------------------------------------
> -- digiKam 5.7.0 dependencies results <http://www.digikam.org>
> --
> -- MySQL Database Support will be compiled.. YES (optional)
> -- MySQL Internal Support will be compiled.. YES (optional)
> -- DBUS Support will be compiled............ YES (optional)
> -- App. Style Support will be compiled...... YES (optional)
> -- libboostgraph found...................... YES
> -- libexiv2 found........................... NO
> CMake Error at core/cmake/modules/MacroUtils.cmake:44 (message):
> libexiv2 is needed. You need to install the libexiv2 (version >=
> 0.26 development package.
> Call Stack (most recent call first):
> core/CMakeLists.txt:448 (PRINT_LIBRARY_STATUS)
>
> Any hints appreciated.
>
>
> Regards
>
> Marc
>

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Compile Digikam: Dependency to exiv2 cannot be fulfilled

Marc Barisch
Hi,

I used the steps from:
https://www.digikam.org/download/git/?q=download/dependencies and added
all dependencies step by step.

Is there any other cook recipe for building digikam?

The PATH environment variable contains /usr/local/bin.



location of libs:

ls -la /usr/local/lib/
insgesamt 14076
drwxr-xr-x  8 root root     4096 Aug  6 00:12 .
drwxr-xr-x 10 root root     4096 Jan  1  2012 ..
-rw-r--r--  1 root root  7014520 Aug  5 23:44 libexiv2.a
-rw-r--r--  1 root root     1053 Aug  5 23:44 libexiv2.la
lrwxrwxrwx  1 root root       14 Aug  6 00:12 libexiv2.so -> libexiv2.so.26
lrwxrwxrwx  1 root root       18 Aug  5 23:44 libexiv2.so.26 ->
libexiv2.so.26.0.0
-rw-r--r--  1 root root  5335072 Aug  6 00:11 libexiv2.so.26.0.0


location of includes:

s -la /usr/local/include/exiv2/
insgesamt 608
drwxr-xr-x 2 root root  4096 Aug  6 00:12 .
drwxr-xr-x 3 root root  4096 Aug  5 23:20 ..
-rw-r--r-- 1 root root  6875 Mar  8 21:42 asfvideo.hpp
-rw-r--r-- 1 root root 48215 Apr 19 19:03 basicio.hpp
-rw-r--r-- 1 root root  4806 Mar  8 21:42 bmpimage.hpp
-rw-r--r-- 1 root root  5310 Apr 23 18:28 config.h
-rw-r--r-- 1 root root  5143 Mar  8 21:42 convert.hpp
-rw-r--r-- 1 root root  6118 Mar 16 19:13 cr2image.hpp
-rw-r--r-- 1 root root  6670 Mar  8 21:42 crwimage.hpp
-rw-r--r-- 1 root root 17032 Mar 16 10:09 datasets.hpp
-rw-r--r-- 1 root root  3860 Mar  8 21:42 easyaccess.hpp
-rw-r--r-- 1 root root  5041 Mar  8 21:42 epsimage.hpp
-rw-r--r-- 1 root root 12418 Mar 16 19:13 error.hpp
-rw-r--r-- 1 root root 25073 Mar  8 21:42 exif.hpp
-rw-r--r-- 1 root root  2482 Apr 23 19:31 exiv2.hpp
-rw-r--r-- 1 root root  6184 Aug  6 00:11 exv_conf.h
-rw-r--r-- 1 root root  6120 Aug  5 23:44 exv_msvc.h
-rw-r--r-- 1 root root  7619 Mar 16 19:13 futils.hpp
-rw-r--r-- 1 root root  4882 Mar  8 21:42 gifimage.hpp
-rw-r--r-- 1 root root   667 Mar 16 19:13 http.hpp
-rw-r--r-- 1 root root 31756 Mar 16 19:13 image.hpp
-rw-r--r-- 1 root root  6635 Mar 26 22:49 ini.hpp
-rw-r--r-- 1 root root 12218 Mar  8 21:42 iptc.hpp
-rw-r--r-- 1 root root  5182 Mar 16 19:13 jp2image.hpp
-rw-r--r-- 1 root root 19023 Mar 16 19:13 jpgimage.hpp
-rw-r--r-- 1 root root  5851 Mar  8 21:42 matroskavideo.hpp
-rw-r--r-- 1 root root 12541 Mar  8 21:42 metadatum.hpp
-rw-r--r-- 1 root root  5307 Mar  8 21:42 mrwimage.hpp
-rw-r--r-- 1 root root  5827 Mar 15 22:30 orfimage.hpp
-rw-r--r-- 1 root root  5347 Mar  8 21:42 pgfimage.hpp
-rw-r--r-- 1 root root  5414 Mar 16 19:13 pngimage.hpp
-rw-r--r-- 1 root root  6642 Mar  8 21:42 preview.hpp
-rw-r--r-- 1 root root 12500 Mar 16 19:13 properties.hpp
-rw-r--r-- 1 root root  5788 Mar  8 21:42 psdimage.hpp
-rw-r--r-- 1 root root  9718 Mar  8 21:42 quicktimevideo.hpp
-rw-r--r-- 1 root root  5230 Mar 15 22:30 rafimage.hpp
-rw-r--r-- 1 root root  8616 Mar 15 22:30 riffvideo.hpp
-rw-r--r-- 1 root root  5719 Mar 15 22:30 rw2image.hpp
-rw-r--r-- 1 root root  6571 Apr 26 16:09 rwlock.hpp
-rw-r--r-- 1 root root    49 Aug  5 23:39 svn_version.h
-rw-r--r-- 1 root root  9077 Mar  8 21:42 tags.hpp
-rw-r--r-- 1 root root  5035 Mar  8 21:42 tgaimage.hpp
-rw-r--r-- 1 root root  9122 Mar 16 19:13 tiffimage.hpp
-rw-r--r-- 1 root root 21751 Mar  8 21:42 types.hpp
-rw-r--r-- 1 root root  1912 Mar 16 19:13 utilsvideo.hpp
-rw-r--r-- 1 root root 61535 Mar 16 19:13 value.hpp
-rw-r--r-- 1 root root  7897 Mar 16 19:13 version.hpp
-rw-r--r-- 1 root root  5362 Mar  8 21:42 webpimage.hpp
-rw-r--r-- 1 root root 16837 Mar  8 21:42 xmp.hpp
-rw-r--r-- 1 root root  4398 Mar  8 21:42 xmpsidecar.hpp


Qt5     Install Path : /usr
digiKam Install Path : /usr
--
----------------------------------------------------------------------------------
-- Starting CMake configuration for: digikam-software-collection
-- Documentation translations directory is missing.
-- You can use DIGIKAMSC_CHECKOUT_DOC option to extract doc i18n files
from git repositories.
--
----------------------------------------------------------------------------------
-- Compilation configuration for: digikam-software-collection
-- digiKam core will be compiled.................. YES
-- Kipiplugins will be compiled................... YES
-- Local shared libkipi will be compiled.......... YES
-- Local shared libksane will be compiled......... YES
-- Local shared libmediawiki will be compiled..... YES
-- Local shared libkvkontakte will be compiled.... YES
-- Extract application translations files......... NO
-- Extract documentation translations files....... NO
-- Translations will be compiled.................. NO
-- Handbooks will be compiled..................... YES
-- Tests code will be compiled.................... YES
--
----------------------------------------------------------------------------------
-- Starting CMake configuration for: libkipi
-- Found KF5: success (found suitable version "5.18.0", minimum required
is "5.1.0") found components:  Config XmlGui Service
-- libkexiv2 not detected : test Kipi interface will not support
Metadata processing

--
-- The following OPTIONAL packages have been found:

  * ZLIB

-- The following REQUIRED packages have been found:

  * ECM (required version >= 1.1.0)
  * Qt5Core
  * Qt5Widgets
  * Qt5Gui
  * Qt5 (required version >= 5.2.0)
  * KF5Config (required version >= 5.1.0)
  * KF5XmlGui (required version >= 5.1.0)
  * KF5Service (required version >= 5.1.0)
  * KF5 (required version >= 5.1.0)
  * JPEG
  * PNG
  * TIFF

-- -------------------------------------------
-- Starting CMake configuration for: libksane
-- SANE_FOUND:       TRUE
-- SANE_INCLUDE_DIR: /usr/include
-- SANE_LIBRARY:     /usr/lib/x86_64-linux-gnu/libsane.so
--
-- The following OPTIONAL packages have been found:

  * ZLIB
  * Sane

-- The following REQUIRED packages have been found:

  * KF5Config (required version >= 5.1.0)
  * KF5XmlGui (required version >= 5.1.0)
  * KF5Service (required version >= 5.1.0)
  * KF5 (required version >= 5.1.0)
  * JPEG
  * PNG
  * TIFF
  * ECM (required version >= 1.1.0)
  * Qt5Core
  * Qt5Gui (required version >= 5.5.1)
  * Qt5Widgets
  * Gettext
  * PythonInterp
  * KF5I18n (required version >= 5.1.0)
  * KF5Wallet (required version >= 5.1.0)
  * KF5WidgetsAddons (required version >= 5.1.0)
  * KF5TextWidgets (required version >= 5.1.0)
  * Qt5Test
  * Qt5 (required version >= 5.2.0)

--
----------------------------------------------------------------------------------
-- Starting CMake configuration for: MediaWiki
--
-- The following OPTIONAL packages have been found:

  * ZLIB
  * Sane

-- The following REQUIRED packages have been found:

  * KF5Config (required version >= 5.1.0)
  * KF5XmlGui (required version >= 5.1.0)
  * KF5Service (required version >= 5.1.0)
  * KF5 (required version >= 5.1.0)
  * JPEG
  * PNG
  * TIFF
  * Qt5Gui (required version >= 5.5.1)
  * Qt5Widgets
  * Gettext
  * PythonInterp
  * KF5I18n (required version >= 5.1.0)
  * KF5Wallet (required version >= 5.1.0)
  * KF5WidgetsAddons (required version >= 5.1.0)
  * KF5TextWidgets (required version >= 5.1.0)
  * ECM (required version >= 1.5.0)
  * Qt5Core
  * Qt5Network
  * KF5CoreAddons (required version >= 5.5.0)
  * Qt5Test
  * Qt5 (required version >= 5.2.0)

--
-- The following OPTIONAL packages have been found:

  * ZLIB
  * Sane

-- The following REQUIRED packages have been found:

  * KF5 (required version >= 5.1.0)
  * JPEG
  * PNG
  * TIFF
  * KF5Wallet (required version >= 5.1.0)
  * KF5TextWidgets (required version >= 5.1.0)
  * ECM (required version >= 5.18.0)
  * Qt5Core
  * Qt5Network
  * Qt5Gui (required version >= 5.5.1)
  * Qt5WebKit
  * Qt5Widgets
  * Qt5 (required version >= 5.2)
  * KF5Service (required version >= 5.18.0)
  * KF5WidgetsAddons (required version >= 5.18.0)
  * KF5Bookmarks (required version >= 5.18.0)
  * KF5KIO (required version >= 5.3.0)
  * Gettext
  * PythonInterp
  * KF5I18n (required version >= 5.3.0)
  * KF5WebKit (required version >= 5.3.0)
  * KF5CoreAddons (required version >= 5.3.0)
  * Qt5Test (required version >= 5.2)

--
----------------------------------------------------------------------------------
-- Starting CMake configuration for: kipi-plugins
-- Found KF5: success (found suitable version "5.18.0", minimum required
is "5.1.0") found components:  Config WindowSystem XmlGui I18n
-- KF5::KIOWidgets include dirs:
/usr/include/KF5/KIOWidgets;/usr/include/KF5
-- libkipi : use local library from
/data/home/marc/digikam/dk/extra/libkipi/
-- Libkipi config header:
/data/home/marc/digikam/dk/build/extra/libkipi/src/libkipi_config.h
-- libkipi found         : TRUE
-- libkipi library       : KF5Kipi
-- libkipi includes      :
/data/home/marc/digikam/dk/build/extra/libkipi/src;/data/home/marc/digikam/dk/extra/libkipi/src;/data/home/marc/digikam/dk/build/extra/libkipi
-- libkipi SO version    : 32
-- libmediawiki : use local library from
/data/home/marc/digikam/dk/extra/libmediawiki/
-- libmediawiki found      : TRUE
-- libmediawiki library    : KF5MediaWiki
-- libmediawiki includes   :
/data/home/marc/digikam/dk/extra/libmediawiki/;/data/home/marc/digikam/dk/build/extra/libmediawiki
-- libkvkontakte : use local library from
/data/home/marc/digikam/dk/extra/libkvkontakte/
-- libkvkontakte found      : TRUE
-- libkvkontakte library    : KF5Vkontakte
-- libkvkontakte includes   :
/data/home/marc/digikam/dk/extra/libkvkontakte/;/data/home/marc/digikam/dk/build/extra/libkvkontakte
--
--
----------------------------------------------------------------------------------
--  kipi-plugins 5.7.0 dependencies results <http://www.digikam.org>
--
--  libqt found.............................. YES
--  libkde found............................. YES
--  libkipi found............................ YES
--  libkio found............................. YES (optional)
--  libkarchive found........................ YES (optional)
--  libmediawiki found....................... YES (optional)
--  libkvkontakte found...................... YES (optional)
--
--  kipi-plugins will be compiled............ YES
--  VKontakte will be compiled............... YES (optional)
--  Mediawiki will be compiled............... YES (optional)
--  FlashExport will be compiled............. YES (optional)
--
----------------------------------------------------------------------------------
-- Starting CMake configuration for: digikam
-- Found KF5: success (found suitable version "5.18.0", minimum required
is "5.1.0") found components:  XmlGui CoreAddons Config Service
WindowSystem Solid I18n
-- Could NOT find KF5FileMetaData: found neither
KF5FileMetaDataConfig.cmake nor kf5filemetadata-config.cmake
-- Could NOT find KF5ThreadWeaver: found neither
KF5ThreadWeaverConfig.cmake nor kf5threadweaver-config.cmake
-- Could NOT find KF5NotifyConfig: found neither
KF5NotifyConfigConfig.cmake nor kf5notifyconfig-config.cmake
-- Could NOT find KF5Notifications: found neither
KF5NotificationsConfig.cmake nor kf5notifications-config.cmake
-- Could NOT find KF5AkonadiContact: found neither
KF5AkonadiContactConfig.cmake nor kf5akonadicontact-config.cmake
-- Could NOT find KF5CalendarCore: found neither
KF5CalendarCoreConfig.cmake nor kf5calendarcore-config.cmake
-- KF5::KIOWidgets include dirs:
/usr/include/KF5/KIOWidgets;/usr/include/KF5
-- Libjpeg version: 84
-- Boost version: 1.58.0
-- Found lcms version 2.06, /usr/lib/x86_64-linux-gnu/liblcms2.so
CMake Warning at core/CMakeLists.txt:213 (find_package):
   Could not find a package configuration file provided by "Exiv2"
(requested
   version 0.26) with any of the following names:

     Exiv2Config.cmake
     exiv2-config.cmake

   Add the installation prefix of "Exiv2" to CMAKE_PREFIX_PATH or set
   "Exiv2_DIR" to a directory containing one of the above files. If "Exiv2"
   provides a separate development package or SDK, be sure it has been
   installed.


-- QtAV search path: /data/home/marc/digikam/qt/qt5.6.2/5.6/gcc_64/lib/cmake
-- Could NOT find QtAV (missing:  QTAV_INCLUDE_DIRS)
-- QtAV_FOUND       = FALSE
-- QtAV_INCLUDE_DIR = QTAV_CORE_INCLUDE_DIR-NOTFOUND
QTAV_WIDGETS_INCLUDE_DIR-NOTFOUND
-- QtAV_LIBRARIES   =
/usr/lib/x86_64-linux-gnu/libQtAV.so;/usr/lib/x86_64-linux-gnu/libQtAVWidgets.so
-- QtAV_VERSION     =
FALSEQTAV FOUND??
QTAV_VERSION_STRING
-- ENABLE_MEDIAPLAYER option is enabled but QtAV cannot be found. Media
player support is disabled.
-- First try at finding OpenCV...
-- OpenCV Root directory is: /usr/share/OpenCV
-- OpenCV: Found version 3.2.0 (required: 3.1.0)
-- OpenCV headers: /usr/include;/usr/include/opencv
-- OpenCV libs   :
opencv_core;opencv_objdetect;opencv_imgproc;opencv_imgcodecs
-- libkipi : use local library from
/data/home/marc/digikam/dk/extra/libkipi/
-- Libkipi config header:
/data/home/marc/digikam/dk/build/extra/libkipi/src/libkipi_config.h
-- libkipi found         : TRUE
-- libkipi library       : KF5Kipi
-- libkipi includes      :
/data/home/marc/digikam/dk/build/extra/libkipi/src;/data/home/marc/digikam/dk/extra/libkipi/src;/data/home/marc/digikam/dk/build/extra/libkipi
-- libkipi SO version    : 32
-- libksane : use local library from
/data/home/marc/digikam/dk/extra/libksane/
-- libksane found      : TRUE
-- libksane library    : KF5Sane
-- libksane includes   :
/data/home/marc/digikam/dk/extra/libksane/src;/data/home/marc/digikam/dk/build/extra/libksane
-- MARBLE_FOUND       = TRUE
-- MARBLE_INCLUDE_DIR = /usr/include
-- MARBLE_LIBRARIES   = /usr/lib/x86_64-linux-gnu/libmarblewidget-qt5.so
-- ASTRO_LIBRARIES    = /usr/lib/x86_64-linux-gnu/libastro.so
-- Could NOT find Eigen3 (missing:  EIGEN3_INCLUDE_DIR
EIGEN3_VERSION_OK) (Required is at least version "2.91.0")
-- Could NOT find Doxygen (missing:  DOXYGEN_EXECUTABLE)
-- Checking for module 'lqr-1'
--   No package 'lqr-1' found
-- Could NOT find Lqr-1 (missing:  LQR-1_INCLUDE_DIRS LQR-1_LIBRARIES)
-- libgphoto2 found    : TRUE
-- libgphoto2 version  : 2.5.9
-- libgphoto2 includes : /usr/include/gphoto2
-- libgphoto2 libraries:
/usr/lib/x86_64-linux-gnu/libgphoto2.so;/usr/lib/x86_64-linux-gnu/libgphoto2_port.so
-- libgphoto2 API version >= 2.5
-- liblensfun: Found version 0.3.2.0 (required: 0.2.6.0)
--
--
----------------------------------------------------------------------------------
--  digiKam 5.7.0 dependencies results <http://www.digikam.org>
--
--  MySQL Database Support will be compiled.. YES (optional)
--  MySQL Internal Support will be compiled.. YES (optional)
--  DBUS Support will be compiled............ YES (optional)
--  App. Style Support will be compiled...... YES (optional)
--  libboostgraph found...................... YES
--  libexiv2 found........................... NO
CMake Error at core/cmake/modules/MacroUtils.cmake:44 (message):
    libexiv2 is needed. You need to install the libexiv2 (version >=
0.26 development package.
Call Stack (most recent call first):
   core/CMakeLists.txt:448 (PRINT_LIBRARY_STATUS)


--  libexiv2 website is at http://www.exiv2.org
--
--  libexpat found........................... YES
--  libjpeg found............................ YES
--  libkde found............................. YES
--  liblcms found............................ YES
--  libopencv found.......................... YES
--  libpng found............................. YES
--  libpthread found......................... YES
--  libqt found.............................. YES
--  libtiff found............................ YES
--  bison found.............................. YES (optional)
--  doxygen found............................ NO  (optional)
--  digiKam will be compiled without API documentation building support.
--  Please install the doxygen (version >= 1.8.0) development package.
--
--  flex found............................... YES (optional)
--  libakonadicontact found.................. NO  (optional)
--  digiKam will be compiled without KDE address book support.
--  Please install the libakonadicontact (version >= 4.89.0) development
package.
--
--  libeigen3 found.......................... NO  (optional)
--  digiKam will be compiled without Refocus tool support.
--  Please install the libeigen3 (version >= 3.0.0) development package.
--
--  libgphoto2 found......................... YES (optional)
--  libjasper found.......................... YES (optional)
--  libkcalcore found........................ NO  (optional)
--  digiKam will be compiled without KDE calendar support.
--  Please install the libkcalcore (version >= 4.81.0) development package.
--
--  libkfilemetadata found................... NO  (optional)
--  digiKam will be compiled without KDE file metadata support.
--  Please install the libkfilemetadata (version >= 5.1.0) development
package.
--
--  libkiconthemes found..................... YES (optional)
--  libkio found............................. YES (optional)
--  libkipi found............................ YES (optional)
--  libknotifications found.................. NO  (optional)
--  digiKam will be compiled without KDE desktop notifications support.
--  Please install the libknotifications (version >= 5.1.0) development
package.
--
--  libknotifyconfig found................... NO  (optional)
--  digiKam will be compiled without KDE desktop notify configuration
support.
--  Please install the libknotifyconfig (version >= 5.1.0) development
package.
--
--  libksane found........................... YES (optional)
--  liblensfun found......................... YES (optional)
--  liblqr-1 found........................... NO  (optional)
--  digiKam will be compiled without Contents Aware Resizer tool support.
--  Please install the liblqr-1 (version >= 0.4.1) development package.
--
--  libmarble found.......................... YES (optional)
--  libqtav found............................ NO  (optional)
--  digiKam will be compiled without Media Player support.
--  Please install the libqtav (version >= 1.12.0) development package.
--
--  libthreadweaver found.................... NO  (optional)
--  digiKam will be compiled without Panorama support.
--  Please install the libthreadweaver (version >= 5.1.0) development
package.
--
--  libxml2 found............................ YES (optional)
--  libxslt found............................ YES (optional)
--  OpenGL found............................. YES (optional)
CMake Error at core/CMakeLists.txt:505 (message):
    digiKam will be compiled.................. NO  (See the README file
for more details about dependencies)


Am 08/06/2017 um 04:03 PM schrieb Simon Frei:

> Where exactly do you have the libs and headers?
> The shipped cmake module looks for headers in ../include/exiv2/ at the
> paths in .PATH, so they should be found (usr/local/bin normally is in PATH).
> Also there is potentially some more revealing informations further up in
> the console output about searching exiv2.
>
> On 06/08/17 01:03, Marc Barisch wrote:
>> Hi all,
>>
>> I wanted to build digikam on my own.
>>
>> Unfortunately I am not able to fulfill the dependency to exiv2 on my
>> ubuntu 17.04 system. I've successfully compiled exiv2 v0.26 and
>> installed in /usr/local (libs and headers).
>>
>> Here is the information that bootstrap-linux provides:
>>
>> --
>> ----------------------------------------------------------------------------------
>> -- digiKam 5.7.0 dependencies results <http://www.digikam.org>
>> --
>> -- MySQL Database Support will be compiled.. YES (optional)
>> -- MySQL Internal Support will be compiled.. YES (optional)
>> -- DBUS Support will be compiled............ YES (optional)
>> -- App. Style Support will be compiled...... YES (optional)
>> -- libboostgraph found...................... YES
>> -- libexiv2 found........................... NO
>> CMake Error at core/cmake/modules/MacroUtils.cmake:44 (message):
>> libexiv2 is needed. You need to install the libexiv2 (version >=
>> 0.26 development package.
>> Call Stack (most recent call first):
>> core/CMakeLists.txt:448 (PRINT_LIBRARY_STATUS)
>>
>> Any hints appreciated.
>>
>>
>> Regards
>>
>> Marc
>>

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Compile Digikam: Dependency to exiv2 cannot be fulfilled

Simon Frei
Oh ****, I didn't reply to the list - lets take it back there, this might be useful for someone else at some time.

This is very weird, I am stabbing in the dark:
You are on master on the main repo and the ./core repo and both are "git status clean" (except for your debug stuff)? What is your cmake version?


On 07/08/17 18:06, Marc Barisch wrote:
Hi Simon,
I am on master and FindExiv2.cmake is present. I tried to add some debug statements 'message(...)' to it without any impact. Seems that it is not taken into account?
Any advice?
Regards
Marc

Am 7. August 2017 17:29:36 MESZ schrieb Simon Frei [hidden email]:
Your exiv2 dependencies are fine. The problem is that cmake doesn't seem
to use the script we provide to find exiv2. Are you on master? And is
the following file present?
./core/cmake/modules/FindExiv2.cmake

On 07/08/17 00:41, Marc Barisch wrote:
Hi, I used the steps from: https://www.digikam.org/download/git/?q=download/dependencies and added all dependencies step by step. Is there any other cook recipe for building digikam? The PATH environment variable contains /usr/local/bin. location of libs: ls -la /usr/local/lib/ insgesamt 14076 drwxr-xr-x 8 root root 4096 Aug 6 00:12 . drwxr-xr-x 10 root root 4096 Jan 1 2012 .. -rw-r--r-- 1 root root 7014520 Aug 5 23:44 libexiv2.a -rw-r--r-- 1 root root 1053 Aug 5 23:44 libexiv2.la lrwxrwxrwx 1 root root 14 Aug 6 00:12 libexiv2.so -> libexiv2.so.26 lrwxrwxrwx 1 root root 18 Aug 5 23:44 libexiv2.so.26 -> libexiv2.so.26.0.0 -rw-r--r-- 1 root root 5335072 Aug 6 00:11 libexiv2.so.26.0.0 location of includes: s -la /usr/local/include/exiv2/ insgesamt 608 drwxr-xr-x 2 root root 4096 Aug 6 00:12 . drwxr-xr-x 3 root root 4096 Aug 5 23:20 .. -rw-r--r-- 1 root root 6875 Mar 8 21:42 asfvideo.hpp -rw-r--r-- 1 root root 48215 Apr 19 19:03 basicio.hpp -rw-r--r-- 1 root root 4806 Mar 8 21:42 bmpimage.hpp -rw-r--r-- 1 root root 5310 Apr 23 18:28 config.h -rw-r--r-- 1 root root 5143 Mar 8 21:42 convert.hpp -rw-r--r-- 1 root root 6118 Mar 16 19:13 cr2image.hpp -rw-r--r-- 1 root root 6670 Mar 8 21:42 crwimage.hpp -rw-r--r-- 1 root root 17032 Mar 16 10:09 datasets.hpp -rw-r--r-- 1 root root 3860 Mar 8 21:42 easyaccess.hpp -rw-r--r-- 1 root root 5041 Mar 8 21:42 epsimage.hpp -rw-r--r-- 1 root root 12418 Mar 16 19:13 error.hpp -rw-r--r-- 1 root root 25073 Mar 8 21:42 exif.hpp -rw-r--r-- 1 root root 2482 Apr 23 19:31 exiv2.hpp -rw-r--r-- 1 root root 6184 Aug 6 00:11 exv_conf.h -rw-r--r-- 1 root root 6120 Aug 5 23:44 exv_msvc.h -rw-r--r-- 1 root root 7619 Mar 16 19:13 futils.hpp -rw-r--r-- 1 root root 4882 Mar 8 21:42 gifimage.hpp -rw-r--r-- 1 root root 667 Mar 16 19:13 http.hpp -rw-r--r-- 1 root root 31756 Mar 16 19:13 image.hpp -rw-r--r-- 1 root root 6635 Mar 26 22:49 ini.hpp -rw-r--r-- 1 root root 12218 Mar 8 21:42 iptc.hpp -rw-r--r-- 1 root root 5182 Mar 16 19:13 jp2image.hpp -rw-r--r-- 1 root root 19023 Mar 16 19:13 jpgimage.hpp -rw-r--r-- 1 root root 5851 Mar 8 21:42 matroskavideo.hpp -rw-r--r-- 1 root root 12541 Mar 8 21:42 metadatum.hpp -rw-r--r-- 1 root root 5307 Mar 8 21:42 mrwimage.hpp -rw-r--r-- 1 root root 5827 Mar 15 22:30 orfimage.hpp -rw-r--r-- 1 root root 5347 Mar 8 21:42 pgfimage.hpp -rw-r--r-- 1 root root 5414 Mar 16 19:13 pngimage.hpp -rw-r--r-- 1 root root 6642 Mar 8 21:42 preview.hpp -rw-r--r-- 1 root root 12500 Mar 16 19:13 properties.hpp -rw-r--r-- 1 root root 5788 Mar 8 21:42 psdimage.hpp -rw-r--r-- 1 root root 9718 Mar 8 21:42 quicktimevideo.hpp -rw-r--r-- 1 root root 5230 Mar 15 22:30 rafimage.hpp -rw-r--r-- 1 root root 8616 Mar 15 22:30 riffvideo.hpp -rw-r--r-- 1 root root 5719 Mar 15 22:30 rw2image.hpp -rw-r--r-- 1 root root 6571 Apr 26 16:09 rwlock.hpp -rw-r--r-- 1 root root 49 Aug 5 23:39 svn_version.h -rw-r--r-- 1 root root 9077 Mar 8 21:42 tags.hpp -rw-r--r-- 1 root root 5035 Mar 8 21:42 tgaimage.hpp -rw-r--r-- 1 root root 9122 Mar 16 19:13 tiffimage.hpp -rw-r--r-- 1 root root 21751 Mar 8 21:42 types.hpp -rw-r--r-- 1 root root 1912 Mar 16 19:13 utilsvideo.hpp -rw-r--r-- 1 root root 61535 Mar 16 19:13 value.hpp -rw-r--r-- 1 root root 7897 Mar 16 19:13 version.hpp -rw-r--r-- 1 root root 5362 Mar 8 21:42 webpimage.hpp -rw-r--r-- 1 root root 16837 Mar 8 21:42 xmp.hpp -rw-r--r-- 1 root root 4398 Mar 8 21:42 xmpsidecar.hpp Qt5 Install Path : /usr digiKam Install Path : /usr

--
Diese Nachricht wurde von meinem Android-Mobiltelefon mit K-9 Mail gesendet.

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Compile Digikam: Dependency to exiv2 cannot be fulfilled

Marc Barisch
Here is the cmake version:
 cmake --version
            cmake version 3.5.1
Distro is ubuntu 17.04


Any recommendation for a clean dev environment or deeper debugging?

Regards
Marc


Am 08/07/2017 um 06:16 PM schrieb Simon Frei:
Oh ****, I didn't reply to the list - lets take it back there, this might be useful for someone else at some time.

This is very weird, I am stabbing in the dark:
You are on master on the main repo and the ./core repo and both are "git status clean" (except for your debug stuff)? What is your cmake version?


On 07/08/17 18:06, Marc Barisch wrote:
Hi Simon,
I am on master and FindExiv2.cmake is present. I tried to add some debug statements 'message(...)' to it without any impact. Seems that it is not taken into account?
Any advice?
Regards
Marc

Am 7. August 2017 17:29:36 MESZ schrieb Simon Frei [hidden email]:
Your exiv2 dependencies are fine. The problem is that cmake doesn't seem
to use the script we provide to find exiv2. Are you on master? And is
the following file present?
./core/cmake/modules/FindExiv2.cmake

On 07/08/17 00:41, Marc Barisch wrote:
Hi, I used the steps from: https://www.digikam.org/download/git/?q=download/dependencies and added all dependencies step by step. Is there any other cook recipe for building digikam? The PATH environment variable contains /usr/local/bin. location of libs: ls -la /usr/local/lib/ insgesamt 14076 drwxr-xr-x 8 root root 4096 Aug 6 00:12 . drwxr-xr-x 10 root root 4096 Jan 1 2012 .. -rw-r--r-- 1 root root 7014520 Aug 5 23:44 libexiv2.a -rw-r--r-- 1 root root 1053 Aug 5 23:44 libexiv2.la lrwxrwxrwx 1 root root 14 Aug 6 00:12 libexiv2.so -> libexiv2.so.26 lrwxrwxrwx 1 root root 18 Aug 5 23:44 libexiv2.so.26 -> libexiv2.so.26.0.0 -rw-r--r-- 1 root root 5335072 Aug 6 00:11 libexiv2.so.26.0.0 location of includes: s -la /usr/local/include/exiv2/ insgesamt 608 drwxr-xr-x 2 root root 4096 Aug 6 00:12 . drwxr-xr-x 3 root root 4096 Aug 5 23:20 .. -rw-r--r-- 1 root root 6875 Mar 8 21:42 asfvideo.hpp -rw-r--r-- 1 root root 48215 Apr 19 19:03 basicio.hpp -rw-r--r-- 1 root root 4806 Mar 8 21:42 bmpimage.hpp -rw-r--r-- 1 root root 5310 Apr 23 18:28 config.h -rw-r--r-- 1 root root 5143 Mar 8 21:42 convert.hpp -rw-r--r-- 1 root root 6118 Mar 16 19:13 cr2image.hpp -rw-r--r-- 1 root root 6670 Mar 8 21:42 crwimage.hpp -rw-r--r-- 1 root root 17032 Mar 16 10:09 datasets.hpp -rw-r--r-- 1 root root 3860 Mar 8 21:42 easyaccess.hpp -rw-r--r-- 1 root root 5041 Mar 8 21:42 epsimage.hpp -rw-r--r-- 1 root root 12418 Mar 16 19:13 error.hpp -rw-r--r-- 1 root root 25073 Mar 8 21:42 exif.hpp -rw-r--r-- 1 root root 2482 Apr 23 19:31 exiv2.hpp -rw-r--r-- 1 root root 6184 Aug 6 00:11 exv_conf.h -rw-r--r-- 1 root root 6120 Aug 5 23:44 exv_msvc.h -rw-r--r-- 1 root root 7619 Mar 16 19:13 futils.hpp -rw-r--r-- 1 root root 4882 Mar 8 21:42 gifimage.hpp -rw-r--r-- 1 root root 667 Mar 16 19:13 http.hpp -rw-r--r-- 1 root root 31756 Mar 16 19:13 image.hpp -rw-r--r-- 1 root root 6635 Mar 26 22:49 ini.hpp -rw-r--r-- 1 root root 12218 Mar 8 21:42 iptc.hpp -rw-r--r-- 1 root root 5182 Mar 16 19:13 jp2image.hpp -rw-r--r-- 1 root root 19023 Mar 16 19:13 jpgimage.hpp -rw-r--r-- 1 root root 5851 Mar 8 21:42 matroskavideo.hpp -rw-r--r-- 1 root root 12541 Mar 8 21:42 metadatum.hpp -rw-r--r-- 1 root root 5307 Mar 8 21:42 mrwimage.hpp -rw-r--r-- 1 root root 5827 Mar 15 22:30 orfimage.hpp -rw-r--r-- 1 root root 5347 Mar 8 21:42 pgfimage.hpp -rw-r--r-- 1 root root 5414 Mar 16 19:13 pngimage.hpp -rw-r--r-- 1 root root 6642 Mar 8 21:42 preview.hpp -rw-r--r-- 1 root root 12500 Mar 16 19:13 properties.hpp -rw-r--r-- 1 root root 5788 Mar 8 21:42 psdimage.hpp -rw-r--r-- 1 root root 9718 Mar 8 21:42 quicktimevideo.hpp -rw-r--r-- 1 root root 5230 Mar 15 22:30 rafimage.hpp -rw-r--r-- 1 root root 8616 Mar 15 22:30 riffvideo.hpp -rw-r--r-- 1 root root 5719 Mar 15 22:30 rw2image.hpp -rw-r--r-- 1 root root 6571 Apr 26 16:09 rwlock.hpp -rw-r--r-- 1 root root 49 Aug 5 23:39 svn_version.h -rw-r--r-- 1 root root 9077 Mar 8 21:42 tags.hpp -rw-r--r-- 1 root root 5035 Mar 8 21:42 tgaimage.hpp -rw-r--r-- 1 root root 9122 Mar 16 19:13 tiffimage.hpp -rw-r--r-- 1 root root 21751 Mar 8 21:42 types.hpp -rw-r--r-- 1 root root 1912 Mar 16 19:13 utilsvideo.hpp -rw-r--r-- 1 root root 61535 Mar 16 19:13 value.hpp -rw-r--r-- 1 root root 7897 Mar 16 19:13 version.hpp -rw-r--r-- 1 root root 5362 Mar 8 21:42 webpimage.hpp -rw-r--r-- 1 root root 16837 Mar 8 21:42 xmp.hpp -rw-r--r-- 1 root root 4398 Mar 8 21:42 xmpsidecar.hpp Qt5 Install Path : /usr digiKam Install Path : /usr

--
Diese Nachricht wurde von meinem Android-Mobiltelefon mit K-9 Mail gesendet.


Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Compile Digikam: Dependency to exiv2 cannot be fulfilled

Philip Johnsson
If you are going to build digikam against a local installed build of exiv2 then you have to pass config parameters for cmake that point to those directories instead of your system installed version of exiv2 that cmake will find as default.

/Philip 

On Aug 9, 2017 23:49, "Marc Barisch" <[hidden email]> wrote:
Here is the cmake version:
 cmake --version
            cmake version 3.5.1
Distro is ubuntu 17.04


Any recommendation for a clean dev environment or deeper debugging?

Regards
Marc


Am 08/07/2017 um 06:16 PM schrieb Simon Frei:
Oh ****, I didn't reply to the list - lets take it back there, this might be useful for someone else at some time.

This is very weird, I am stabbing in the dark:
You are on master on the main repo and the ./core repo and both are "git status clean" (except for your debug stuff)? What is your cmake version?


On 07/08/17 18:06, Marc Barisch wrote:
Hi Simon,
I am on master and FindExiv2.cmake is present. I tried to add some debug statements 'message(...)' to it without any impact. Seems that it is not taken into account?
Any advice?
Regards
Marc

Am 7. August 2017 17:29:36 MESZ schrieb Simon Frei [hidden email]:
Your exiv2 dependencies are fine. The problem is that cmake doesn't seem
to use the script we provide to find exiv2. Are you on master? And is
the following file present?
./core/cmake/modules/FindExiv2.cmake

On 07/08/17 00:41, Marc Barisch wrote:
Hi, I used the steps from: https://www.digikam.org/download/git/?q=download/dependencies and added all dependencies step by step. Is there any other cook recipe for building digikam? The PATH environment variable contains /usr/local/bin. location of libs: ls -la /usr/local/lib/ insgesamt 14076 drwxr-xr-x 8 root root 4096 Aug 6 00:12 . drwxr-xr-x 10 root root 4096 Jan 1 2012 .. -rw-r--r-- 1 root root 7014520 Aug 5 23:44 libexiv2.a -rw-r--r-- 1 root root 1053 Aug 5 23:44 libexiv2.la lrwxrwxrwx 1 root root 14 Aug 6 00:12 libexiv2.so -> libexiv2.so.26 lrwxrwxrwx 1 root root 18 Aug 5 23:44 libexiv2.so.26 -> libexiv2.so.26.0.0 -rw-r--r-- 1 root root 5335072 Aug 6 00:11 libexiv2.so.26.0.0 location of includes: s -la /usr/local/include/exiv2/ insgesamt 608 drwxr-xr-x 2 root root 4096 Aug 6 00:12 . drwxr-xr-x 3 root root 4096 Aug 5 23:20 .. -rw-r--r-- 1 root root 6875 Mar 8 21:42 asfvideo.hpp -rw-r--r-- 1 root root 48215 Apr 19 19:03 basicio.hpp -rw-r--r-- 1 root root 4806 Mar 8 21:42 bmpimage.hpp -rw-r--r-- 1 root root 5310 Apr 23 18:28 config.h -rw-r--r-- 1 root root 5143 Mar 8 21:42 convert.hpp -rw-r--r-- 1 root root 6118 Mar 16 19:13 cr2image.hpp -rw-r--r-- 1 root root 6670 Mar 8 21:42 crwimage.hpp -rw-r--r-- 1 root root 17032 Mar 16 10:09 datasets.hpp -rw-r--r-- 1 root root 3860 Mar 8 21:42 easyaccess.hpp -rw-r--r-- 1 root root 5041 Mar 8 21:42 epsimage.hpp -rw-r--r-- 1 root root 12418 Mar 16 19:13 error.hpp -rw-r--r-- 1 root root 25073 Mar 8 21:42 exif.hpp -rw-r--r-- 1 root root 2482 Apr 23 19:31 exiv2.hpp -rw-r--r-- 1 root root 6184 Aug 6 00:11 exv_conf.h -rw-r--r-- 1 root root 6120 Aug 5 23:44 exv_msvc.h -rw-r--r-- 1 root root 7619 Mar 16 19:13 futils.hpp -rw-r--r-- 1 root root 4882 Mar 8 21:42 gifimage.hpp -rw-r--r-- 1 root root 667 Mar 16 19:13 http.hpp -rw-r--r-- 1 root root 31756 Mar 16 19:13 image.hpp -rw-r--r-- 1 root root 6635 Mar 26 22:49 ini.hpp -rw-r--r-- 1 root root 12218 Mar 8 21:42 iptc.hpp -rw-r--r-- 1 root root 5182 Mar 16 19:13 jp2image.hpp -rw-r--r-- 1 root root 19023 Mar 16 19:13 jpgimage.hpp -rw-r--r-- 1 root root 5851 Mar 8 21:42 matroskavideo.hpp -rw-r--r-- 1 root root 12541 Mar 8 21:42 metadatum.hpp -rw-r--r-- 1 root root 5307 Mar 8 21:42 mrwimage.hpp -rw-r--r-- 1 root root 5827 Mar 15 22:30 orfimage.hpp -rw-r--r-- 1 root root 5347 Mar 8 21:42 pgfimage.hpp -rw-r--r-- 1 root root 5414 Mar 16 19:13 pngimage.hpp -rw-r--r-- 1 root root 6642 Mar 8 21:42 preview.hpp -rw-r--r-- 1 root root 12500 Mar 16 19:13 properties.hpp -rw-r--r-- 1 root root 5788 Mar 8 21:42 psdimage.hpp -rw-r--r-- 1 root root 9718 Mar 8 21:42 quicktimevideo.hpp -rw-r--r-- 1 root root 5230 Mar 15 22:30 rafimage.hpp -rw-r--r-- 1 root root 8616 Mar 15 22:30 riffvideo.hpp -rw-r--r-- 1 root root 5719 Mar 15 22:30 rw2image.hpp -rw-r--r-- 1 root root 6571 Apr 26 16:09 rwlock.hpp -rw-r--r-- 1 root root 49 Aug 5 23:39 svn_version.h -rw-r--r-- 1 root root 9077 Mar 8 21:42 tags.hpp -rw-r--r-- 1 root root 5035 Mar 8 21:42 tgaimage.hpp -rw-r--r-- 1 root root 9122 Mar 16 19:13 tiffimage.hpp -rw-r--r-- 1 root root 21751 Mar 8 21:42 types.hpp -rw-r--r-- 1 root root 1912 Mar 16 19:13 utilsvideo.hpp -rw-r--r-- 1 root root 61535 Mar 16 19:13 value.hpp -rw-r--r-- 1 root root 7897 Mar 16 19:13 version.hpp -rw-r--r-- 1 root root 5362 Mar 8 21:42 webpimage.hpp -rw-r--r-- 1 root root 16837 Mar 8 21:42 xmp.hpp -rw-r--r-- 1 root root 4398 Mar 8 21:42 xmpsidecar.hpp Qt5 Install Path : /usr digiKam Install Path : /usr

--
Diese Nachricht wurde von meinem Android-Mobiltelefon mit K-9 Mail gesendet.


Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Compile Digikam: Dependency to exiv2 cannot be fulfilled

Simon Frei
Didn't think of that - thanks Philip.
Follow up question: Isn't it potentially problematic to build against one version (locally installed) and then use the result with another version (system installed)?

On 11/08/17 16:41, Philip Johnsson wrote:
If you are going to build digikam against a local installed build of exiv2 then you have to pass config parameters for cmake that point to those directories instead of your system installed version of exiv2 that cmake will find as default.

/Philip 

On Aug 9, 2017 23:49, "Marc Barisch" <[hidden email]> wrote:
Here is the cmake version:
 cmake --version
            cmake version 3.5.1
Distro is ubuntu 17.04


Any recommendation for a clean dev environment or deeper debugging?

Regards
Marc


Am 08/07/2017 um 06:16 PM schrieb Simon Frei:
Oh ****, I didn't reply to the list - lets take it back there, this might be useful for someone else at some time.

This is very weird, I am stabbing in the dark:
You are on master on the main repo and the ./core repo and both are "git status clean" (except for your debug stuff)? What is your cmake version?


On 07/08/17 18:06, Marc Barisch wrote:
Hi Simon,
I am on master and FindExiv2.cmake is present. I tried to add some debug statements 'message(...)' to it without any impact. Seems that it is not taken into account?
Any advice?
Regards
Marc

Am 7. August 2017 17:29:36 MESZ schrieb Simon Frei [hidden email]:
Your exiv2 dependencies are fine. The problem is that cmake doesn't seem
to use the script we provide to find exiv2. Are you on master? And is
the following file present?
./core/cmake/modules/FindExiv2.cmake

On 07/08/17 00:41, Marc Barisch wrote:
Hi, I used the steps from: https://www.digikam.org/download/git/?q=download/dependencies and added all dependencies step by step. Is there any other cook recipe for building digikam? The PATH environment variable contains /usr/local/bin. location of libs: ls -la /usr/local/lib/ insgesamt 14076 drwxr-xr-x 8 root root 4096 Aug 6 00:12 . drwxr-xr-x 10 root root 4096 Jan 1 2012 .. -rw-r--r-- 1 root root 7014520 Aug 5 23:44 libexiv2.a -rw-r--r-- 1 root root 1053 Aug 5 23:44 libexiv2.la lrwxrwxrwx 1 root root 14 Aug 6 00:12 libexiv2.so -> libexiv2.so.26 lrwxrwxrwx 1 root root 18 Aug 5 23:44 libexiv2.so.26 -> libexiv2.so.26.0.0 -rw-r--r-- 1 root root 5335072 Aug 6 00:11 libexiv2.so.26.0.0 location of includes: s -la /usr/local/include/exiv2/ insgesamt 608 drwxr-xr-x 2 root root 4096 Aug 6 00:12 . drwxr-xr-x 3 root root 4096 Aug 5 23:20 .. -rw-r--r-- 1 root root 6875 Mar 8 21:42 asfvideo.hpp -rw-r--r-- 1 root root 48215 Apr 19 19:03 basicio.hpp -rw-r--r-- 1 root root 4806 Mar 8 21:42 bmpimage.hpp -rw-r--r-- 1 root root 5310 Apr 23 18:28 config.h -rw-r--r-- 1 root root 5143 Mar 8 21:42 convert.hpp -rw-r--r-- 1 root root 6118 Mar 16 19:13 cr2image.hpp -rw-r--r-- 1 root root 6670 Mar 8 21:42 crwimage.hpp -rw-r--r-- 1 root root 17032 Mar 16 10:09 datasets.hpp -rw-r--r-- 1 root root 3860 Mar 8 21:42 easyaccess.hpp -rw-r--r-- 1 root root 5041 Mar 8 21:42 epsimage.hpp -rw-r--r-- 1 root root 12418 Mar 16 19:13 error.hpp -rw-r--r-- 1 root root 25073 Mar 8 21:42 exif.hpp -rw-r--r-- 1 root root 2482 Apr 23 19:31 exiv2.hpp -rw-r--r-- 1 root root 6184 Aug 6 00:11 exv_conf.h -rw-r--r-- 1 root root 6120 Aug 5 23:44 exv_msvc.h -rw-r--r-- 1 root root 7619 Mar 16 19:13 futils.hpp -rw-r--r-- 1 root root 4882 Mar 8 21:42 gifimage.hpp -rw-r--r-- 1 root root 667 Mar 16 19:13 http.hpp -rw-r--r-- 1 root root 31756 Mar 16 19:13 image.hpp -rw-r--r-- 1 root root 6635 Mar 26 22:49 ini.hpp -rw-r--r-- 1 root root 12218 Mar 8 21:42 iptc.hpp -rw-r--r-- 1 root root 5182 Mar 16 19:13 jp2image.hpp -rw-r--r-- 1 root root 19023 Mar 16 19:13 jpgimage.hpp -rw-r--r-- 1 root root 5851 Mar 8 21:42 matroskavideo.hpp -rw-r--r-- 1 root root 12541 Mar 8 21:42 metadatum.hpp -rw-r--r-- 1 root root 5307 Mar 8 21:42 mrwimage.hpp -rw-r--r-- 1 root root 5827 Mar 15 22:30 orfimage.hpp -rw-r--r-- 1 root root 5347 Mar 8 21:42 pgfimage.hpp -rw-r--r-- 1 root root 5414 Mar 16 19:13 pngimage.hpp -rw-r--r-- 1 root root 6642 Mar 8 21:42 preview.hpp -rw-r--r-- 1 root root 12500 Mar 16 19:13 properties.hpp -rw-r--r-- 1 root root 5788 Mar 8 21:42 psdimage.hpp -rw-r--r-- 1 root root 9718 Mar 8 21:42 quicktimevideo.hpp -rw-r--r-- 1 root root 5230 Mar 15 22:30 rafimage.hpp -rw-r--r-- 1 root root 8616 Mar 15 22:30 riffvideo.hpp -rw-r--r-- 1 root root 5719 Mar 15 22:30 rw2image.hpp -rw-r--r-- 1 root root 6571 Apr 26 16:09 rwlock.hpp -rw-r--r-- 1 root root 49 Aug 5 23:39 svn_version.h -rw-r--r-- 1 root root 9077 Mar 8 21:42 tags.hpp -rw-r--r-- 1 root root 5035 Mar 8 21:42 tgaimage.hpp -rw-r--r-- 1 root root 9122 Mar 16 19:13 tiffimage.hpp -rw-r--r-- 1 root root 21751 Mar 8 21:42 types.hpp -rw-r--r-- 1 root root 1912 Mar 16 19:13 utilsvideo.hpp -rw-r--r-- 1 root root 61535 Mar 16 19:13 value.hpp -rw-r--r-- 1 root root 7897 Mar 16 19:13 version.hpp -rw-r--r-- 1 root root 5362 Mar 8 21:42 webpimage.hpp -rw-r--r-- 1 root root 16837 Mar 8 21:42 xmp.hpp -rw-r--r-- 1 root root 4398 Mar 8 21:42 xmpsidecar.hpp Qt5 Install Path : /usr digiKam Install Path : /usr

--
Diese Nachricht wurde von meinem Android-Mobiltelefon mit K-9 Mail gesendet.



Loading...